Loading...
Searching...
No Matches
json.h File Reference
SPA » Utilities » JSON

spa/utils/json.h More...

Go to the source code of this file.

## Macros

#define | SPA_API_JSON_UTILS static inline
#define | spa_json_make_str_array_unpack(maxlen, type, conv)

## Functions

SPA_API_JSON_UTILS int | spa_json_begin (struct spa_json *iter, const char *data, size_t size, const char **val)
SPA_API_JSON_UTILS int | spa_json_get_float (struct spa_json *iter, float *res)
SPA_API_JSON_UTILS int | spa_json_get_int (struct spa_json *iter, int *res)
SPA_API_JSON_UTILS int | spa_json_get_bool (struct spa_json *iter, bool *res)
SPA_API_JSON_UTILS int | spa_json_get_string (struct spa_json *iter, char *res, int maxlen)
SPA_API_JSON_UTILS int | spa_json_enter_container (struct spa_json *iter, struct spa_json *sub, char type)
SPA_API_JSON_UTILS int | spa_json_begin_container (struct spa_json *iter, const char *data, size_t size, char type, bool relax)
SPA_API_JSON_UTILS int | spa_json_container_len (struct spa_json *iter, const char *value, int len 1)
| Return length of container at current position, starting at value.
SPA_API_JSON_UTILS int | spa_json_enter_object (struct spa_json *iter, struct spa_json *sub)
SPA_API_JSON_UTILS int | spa_json_begin_object_relax (struct spa_json *iter, const char *data, size_t size)
SPA_API_JSON_UTILS int | spa_json_begin_object (struct spa_json *iter, const char *data, size_t size)
SPA_API_JSON_UTILS int | spa_json_object_next (struct spa_json *iter, char *key, int maxkeylen, const char **value)
SPA_API_JSON_UTILS int | spa_json_object_find (struct spa_json *iter, const char *key, const char **value)
SPA_API_JSON_UTILS int | spa_json_str_object_find (const char *obj, size_t obj_len, const char *key, char *value, size_t maxlen)
SPA_API_JSON_UTILS int | spa_json_enter_array (struct spa_json *iter, struct spa_json *sub)
SPA_API_JSON_UTILS int | spa_json_begin_array_relax (struct spa_json *iter, const char *data, size_t size)
SPA_API_JSON_UTILS int | spa_json_begin_array (struct spa_json *iter, const char *data, size_t size)
SPA_API_JSON_UTILS int | spa_json_str_array_uint32 (const char *arr, size_t arr_len, uint32_t *values, size_t max)

## Detailed Description

spa/utils/json.h

## Macro Definition Documentation

## SPA_API_JSON_UTILS

#define SPA_API_JSON_UTILS static inline